publications/urls.py
from publications import views
from django.urls import path

app_name = 'publications'
urlpatterns = [
    path('',views.PublicationListView.as_view(), name='list'),
    path('claim-confirmed/',views.claim_confirmed, name='claim_confirmed'),
    path('<pk>/',views.PublicationDetailsView.as_view(), name='detail'),
    path('verify/<pk>/',views.verify, name='verify'),
    path('claim/<pk>/',views.claim, name='claim'),
]

publications/templates/crossref/claim_publication.html
{% load i18n %}
<div id="claimPublication" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="claimPublication" aria-hidden="true" data-claimUrl="{% url "publications:claim" pk=pub.pk %}">
  <div class="modal-dialog modal-dialog-centered bg-transparent" role="document">
    <div class="modal-content">
      <section class='banner d-flex'>
          <div class="content p-5">
            <header class="major"><h2>{% trans "Claim this publication" %}</h2></header>
              <ul class="actions">
              <li><a href="" class="button primary">{% trans "Confirm" %}</a></li>
             </ul>
          </div>
      </section>
    </div>
  </div>
</div>

publications/templates/crossref/full_details.html
<header class="main">
  <h3 class='m-0'>{{ publication.title }}</h3>
  <div><i>in {% firstof publication.journal publication.book_title %},	{{ publication.year }}</i></div>
	{% if publication.author %}<div>{{publication.authors_display_long}}</div>{% endif %}
</header>

{% if publication.abstract %}
  <p>{{ publication.abstract }}</p>
{% endif %}

{% if publication.keywords %}
	{% for keyword in publication.keywords.all %}
	  <a class="keyword" href="{% url 'publications:keyword' keyword %}">{{ keyword }}</a>
	{% endfor %}
{% endif %}

<hr class="major" />
<header><h3>Comments</h3></header>
{% include "core/components/comments.html" with url="publications:detail" %}

publications/templates/crossref/paginator.html
{% load sekizai_tags %}
<div class="dropdown-toggle fit" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Showing: {{ page }}</div>
<div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
  {% for p in page.paginator.pages %}
    <a class="dropdown-item" href="?page={{ p.number }}{{ parameters }}">{{ p }}</a>
  {% endfor %}
</div>

publications/templates/crossref/publication.html
{% load i18n crossref_tags sekizai_tags authentication %}

<div class="publication card">
  <div class='card-header d-flex w-100'>	
		{% include "crossref/partials/action_list.html" %}
	</div>
  <div class="card-body">
		<i class='me-auto'>{{pub.container_title}}, {{ pub.published|date:'Y' }}</i>
    <h4 class="card-title">{{ pub.title }}</h4>
		{% if pub.author.exists %}
			<h5 class="card-subtitle mb-2 text-muted">{{ pub.authors_display }}</h5>
		{% endif %}
		{% if pub.abstract %}
    	<p class="card-text">{{ pub.abstract|truncatewords:75 }}</p>
		{% endif %}
		{% comment %} <hr class='major'>  {% endcomment %}
  </div>
	<div class='card-footer bg-white'>
		{% if pub.sites %}<span class='badge bg-primary'>
			Sites<span class='ms-1 badge bg-light text-secondary'>{{pub.sites.count}}</span>
		</span>{% endif %}

		{% if pub.intervals %}<span class='badge bg-success'>
			Intervals<span class='ms-1 badge bg-light text-secondary'>{{pub.intervals.count}}</span>
		</span>{% endif %}

		{% if pub.temperature_logs.exists %}<span class='badge bg-warning'>
			Temp. Logs<span class='ms-1 badge bg-light text-secondary'>{{pub.temperature_logs.count}}</span>
		</span>{% endif %}

		{% if pub.conductivity_logs.exists %}<span class='badge bg-info'>
			Cond. Logs<span class='ms-1 badge bg-light text-secondary'>{{pub.conductivity_logs.count}}</span>
		</span>{% endif %}

		{% if pub.heat_production_logs.exists %}<span class='badge bg-danger'>
			H.Prod. Logs<span class='ms-1 badge bg-light text-secondary'>{{pub.heat_production_logs.count}}</span>
		</span>{% endif %}
	</div>
</div>

{% addtoblock "js" %}<script>$(function(){$('[data-bs-toggle="tooltip"]').tooltip()})</script>{% endaddtoblock %}
{% addtoblock "modals" %}{% include "crossref/claim_publication.html" %}{% endaddtoblock %}

publications/templates/crossref/publication_list.html
{% extends "base.html" %}
{% load crispy_forms_tags static i18n %}

{% block content %}
<div class='inner container'>
	<header id="header">
		<div class="logo"><strong>Publications</strong> ThermoGlobe</div>
		<ul class="icons">
			{% include "editorial/components/socials.html" %}
		</ul>
	</header>

	<section class='d-flex flex-row-reverse '>
		<div class='w-100'>
			<section class='main'>
				<div class='d-flex justify-content-between'>
					{% include "crossref/paginator.html" %}
					<a href="#filterPublicationsModal" class="icon solid filter" data-bs-target="#filterPublicationsModal" data-bs-toggle="modal" data-bs-dismiss="modal"></a>
				</div>	
				{% for year, publications in years %}
				{% if not forloop.first %}<hr class="major" />{% endif %}
				<div class='publication-group'>
					<header><h2>{{ year }}</h2></header>
					{% for pub in publications %}
						{% include "crossref/publication.html" %}
					{% endfor %}
				</div>
				{% endfor %}
			</section>
		</div>
	</section>
</div>
{% endblock %}

{% block modals %}
	{% include 'core/modals/form.html' with modal_id="filterPublicationsModal" form=filter.form helper=filter.helper %}
	{% include "crossref/claim_publication.html" %}
{% endblock modals %}